# encoding: utf-8

# -------------------------------------------------------------------------------
# (C) Copyright 2022 Micro Focus or one of its affiliates.
#
# The only warranties for products and services of Micro Focus and its affiliates
# and licensors (“Micro Focus”) are as may be set forth in the express warranty
# statements accompanying such products and services. Nothing herein should be
# construed as constituting an additional warranty. Micro Focus shall not be
# liable for technical or editorial errors or omissions contained herein. The
# information contained herein is subject to change without notice.
#
# Except as specifically indicated otherwise, this document contains confidential
# information and a valid license is required for possession, use or copying. If
# this work is provided to the U.S. Government, consistent with FAR 12.211 and
# 12.212, Commercial Computer Software, Computer Software Documentation, and
# Technical Data for Commercial Items  are licensed to the U.S. Government under
# vendor's standard commercial license.
# -------------------------------------------------------------------------------

# File:	    clients/umc_info.rb
# Summary:	info function dispatcher.
# Authors:  Gaurav Kumar <gaurav.kumar4@microfocus.com>
#           Srinidhi B <Srinidhi.BS@microfocus.com>
#
# info function dispatcher for umc configuration.
module Yast
  class UmcInfoClient < Client
    def main

      textdomain "umc"

      Yast.import "NovellAddonInstall"

      # The main ()
      Builtins.y2milestone("----------------------------------------")
      Builtins.y2milestone("Umc info started")

      @func = Convert.to_string(WFM.Args(0))
      @param = Convert.to_map(WFM.Args(1))
      @ret = {}

      # return the status of this product
      if @func == "Info"
        @cfg_file = "/etc/sysconfig/novell/umc" # path to the sysconfig file
        @ret = NovellAddonInstall.ReadConfigFileSettings(@cfg_file)
      else
        Builtins.y2error("unknown function: %1", @func)
      end

      # Finish
      Builtins.y2debug("ret=%1", @ret)
      Builtins.y2milestone("Umc info finished")
      Builtins.y2milestone("----------------------------------------")
      deep_copy(@ret)

      # EOF
    end
  end
end

Yast::UmcInfoClient.new.main
