# encoding: utf-8
# ------------------------------------------------------------------------------
# Copyright 2023 Open Text.
#
# The only warranties for products and services of Open Text and its
# affiliates and licensors (“Open Text”) are as may be set forth in the
# express warranty statements accompanying such products and services.
# Nothing herein should be construed as constituting an additional
# warranty. Open Text shall not be liable for technical or editorial
# errors or omissions contained herein. The information contained herein
# is subject to change without notice.
#
# Except as specifically indicated otherwise, this document contains
# confidential information and a valid license is required for possession,
# use or copying. If this work is provided to the U.S. Government,
# consistent with FAR 12.211 and 12.212, Commercial Computer Software,
# Computer Software Documentation, and Technical Data for Commercial Items
# are licensed to the U.S. Government under vendor's standard commercial
# license.
# ------------------------------------------------------------------------------
# File:        clients/umc_upgrade.rb
# Module:      Installation
# Summary:     upgrade function dispatcher
# Authors:     Gaurav Kumar <gaurav.kumar4@microfocus.com>
#              Srinidhi B <Srinidhi.BS@microfocus.com>
#
# upgrade function dispatcher for umc configuration.
module Yast
  class UmcUpgradeClient < Client
    def main

      textdomain "umc"

      Yast.import "NovellAddonInstall"

      # The main ()
      Builtins.y2milestone("----------------------------------------")
      Builtins.y2milestone("UMC upgrade started")

      @func = Convert.to_string(WFM.Args(0))
      @param = Convert.to_map(WFM.Args(1))
      @ret = {}

      # return the status of this product
      if @func == "Info_oes"
        @cfg_file = "/etc/sysconfig/novell/umc"
        @ret = NovellAddonInstall.ReadConfigFileSettings(@cfg_file)
      elsif @func == "Translate"
        @cfg_file = "/etc/sysconfig/novell/umc"
        @ret = NovellAddonInstall.ReadConfigFileSettings(@cfg_file)
      else
        Builtins.y2error("unknown function: %1", @func)
      end

      # Finish
      Builtins.y2debug("ret=%1", @ret)
      Builtins.y2milestone("UMC upgrade finished")
      Builtins.y2milestone("----------------------------------------")
      deep_copy(@ret)

      # EOF
    end
  end
end

Yast::UmcUpgradeClient.new.main
