# encoding: utf-8

# *****************************************************************************
# Copyright 2023 Open Text.
#
# The only warranties for products and services of Open Text and its
# affiliates and licensors (“Open Text”) are as may be set forth in the
# express warranty statements accompanying such products and services.
# Nothing herein should be construed as constituting an additional
# warranty. Open Text shall not be liable for technical or editorial
# errors or omissions contained herein. The information contained herein
# is subject to change without notice.
#
# Except as specifically indicated otherwise, this document contains
# confidential information and a valid license is required for possession,
# use or copying. If this work is provided to the U.S. Government,
# consistent with FAR 12.211 and 12.212, Commercial Computer Software,
# Computer Software Documentation, and Technical Data for Commercial Items
# are licensed to the U.S. Government under vendor's standard commercial
# license.
# *****************************************************************************
# *****************************************************************************
#
# (c) Copyright 2022 Micro Focus or one of its affiliates
#
# The only warranties for products and services of Micro Focus and its
# affiliates and licensors(Micro Focus) are as may be set forth in the
# express warranty statements accompanying such products and services.
# Nothing herein should be construed as constituting an additional warranty.
# Micro Focus shall not be liable for technical or editorial errors or
# omissions contained herein.
# The information contained herein is subject to change without notice.
#
# ******************************************************************************
# File:        include/umc/helps.rb
# Module:      Installation
# Summary:     Help texts of all the dialogs
# Authors:     Gaurav Kumar <gaurav.kumar4@microfocus.com>
#              Srinidhi B <Srinidhi.BS@microfocus.com>
#

module Yast
  module UmcHelpsInclude
    def initialize_umc_helps(include_target)
      textdomain "umc"

      # All helps are here
      @HELPS = {
        # Read dialog help 1/2
        "read"  => _(
          "<p><b><big>Initializing UMC Configuration</big></b><br>\nPlease wait...<br></p>\n"
        ) +
          # Read dialog help 2/2
          _(
            "<p><b><big>Aborting Initialization:</big></b><br>\nSafely stop the configuration utility by clicking <b>Abort</b> now.</p>\n"
          ),
        # Write dialog help 1/2
        "write" => _(
          "<p><b><big>Saving UMC Configuration</big></b><br>\nPlease wait...<br></p>\n"
        ) +
          # Write dialog help 2/2
          _(
            "<p><b><big>Aborting Saving:</big></b><br>\n" +
              "Stop the save procedure by clicking <b>Abort</b>.\n" +
              "This opens an additional dialog that indicates whether it is safe to do so.\n" +
              "</p>\n"
          ),
        # Configure1 dialog help 1/1
        "umc_config"    => _(
          "<p><b><big>Unified Management Console (UMC)</big></b><br>\n" +
          "UMC ships with PostgreSQL database by default. When configuring UMC, you can either create a new PostgreSQL database or use an existing one.</p>\n"
        ) +
        _(
          "<p><b><big>Database Details</big></b><br>\n" +
          "Specify the hostname, username, and password.\nThe default port number is 5432 and can be changed.</p>\n"
        ) +
        _(
          "<p><b><big>Open Port in Firewall</big></b><br>\n" +
          "This option is selected by default for communication with other servers.</p>\n"
        ) +
        _(
          "<p><b><big>Validate Database Connection</big></b><br>\n" +
          "Prior to validating the connection, ensure that you specify all the database details.\nYou can validate the connection to confirm whether the server can communicate and establish connections.</p>\n"
        ) +
        _(
          "<p><b><big>eDirectory API Port</big></b><br>" +
          "Specify the eDirectory API port number if necessary. The default port is 9010.</p>"
        )
      }

      # EOF
    end
  end
end
